Skip to main content
GET
Get Session

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard [blocked].

Path Parameters

id
string
required

Response

200 - application/json
id
string
required

This is the unique identifier for the session.

orgId
string
required

This is the unique identifier for the organization that owns this session.

createdAt
string<date-time>
required

This is the ISO 8601 timestamp indicating when the session was created.

updatedAt
string<date-time>
required

This is the ISO 8601 timestamp indicating when the session was last updated.

name
string

This is a user-defined name for the session. Maximum length is 40 characters.

Maximum string length: 40
status
enum<string>

This is the current status of the session. Can be either 'active' or 'completed'.

Available options:
active,
completed
expirationSeconds
number

Session expiration time in seconds. Defaults to 24 hours (86400 seconds) if not set.

Required range: 60 <= x <= 2592000
Example:

86400

assistantId
string

This is the ID of the assistant associated with this session. Use this when referencing an existing assistant.

assistant
object

This is the assistant configuration for this session. Use this when creating a new assistant configuration. If assistantId is provided, this will be ignored.

messages
(SystemMessage · object | UserMessage · object | AssistantMessage · object | ToolMessage · object | DeveloperMessage · object)[]

This is an array of chat messages in the session.

customer
object

This is the customer information associated with this session.

phoneNumberId
string

This is the ID of the phone number associated with this session.

phoneNumber
object

This is the phone number configuration for this session.